Bug 118441 - Various hard coded dependancies on XFree86 should not be present
Various hard coded dependancies on XFree86 should not be present
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
: 118480 (view as bug list)
Depends On:
Blocks: xorgdeps
  Show dependency treegraph
Reported: 2004-03-16 14:18 EST by Mike A. Harris
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-29 05:56:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike A. Harris 2004-03-16 14:18:21 EST
There are hard coded dependancies on some XFree86 subpackages
whi need to be fixed before xorg-x11 can be enabled in the
development tree.

The following is found in the spec file:
    Requires:       XFree86, perl

I'm not sure why that XFree86 requires is there, can you comment
about that?

BuildRequires:  XFree86-Xvfb, mozilla, XFree86-devel, XFree86-libs, bzip2

XFree86-Xvfb?  What is that used for?  ;o)  Please remove that dep
if possible, unless there is really a need for it.  I can make
xorg-x11 have a virtual provide for it if it is indeed required

XFree86-libs needs to be removed.  It is unnecessary as a
BuildRequires because XFree86-devel requires XFree86-libs already
and will do the right thing.

The XFree86-devel BuildRequires is ok to keep for now, as we're
not going to solve that problem just yet.  That will get solved
in the future.
Comment 1 Mike A. Harris 2004-03-16 14:26:37 EST
I have added:

Provides: Xvfb

to the xorg-x11-Xvfb subpackage, and also to our XFree86 4.3.0
packaging which will be in all future OS updates.  If openoffice
still has a dependancy on the Xvfb server, can you please change
it to use a virtual BuildRequires: Xvfb instead so that it is
implementation agnostic?
Comment 2 Mike A. Harris 2004-03-17 01:00:17 EST
Oops, I was looking at the 'openoffice' in cvs rather than the
'openoffice.org'.  The Xvfb requirement isn't there, so scratch

All of the rest of the above issues are fixed in 1.1.0-32, which
I'm currently building in dist-fc2
Comment 3 Mike A. Harris 2004-03-17 01:36:38 EST
*** Bug 118480 has been marked as a duplicate of this bug. ***
Comment 4 Mike A. Harris 2004-03-17 15:20:34 EST
The openoffice.org build I started failed.  The build log is over
26Mb in size, and it's beyond my comprehension to investigate
the problem without significant time sink, so this will have to
be fixed by the package owner most likely.
Comment 5 Dan Williams 2004-03-17 16:55:28 EST
Mike, build failed because I hadn't gotten around to fixing it this
weekend.  New OOo is building in dist-fc2 and should contain your
fixes.  It is looking like it will complete.
Comment 6 Warren Togami 2004-03-29 05:56:22 EST
This is fixed right?  reopen if not.
Comment 7 Mike A. Harris 2004-03-29 16:47:15 EST
Yep, fixed in rawhide, thanks warren.

Note You need to log in before you can comment on or make changes to this bug.